using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Soldier", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/soldier.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/soldier1.png"),
                            ModAPI.LoadTexture("npcs/us/soldier2.png"),
                            ModAPI.LoadTexture("npcs/us/soldier3.png")
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Medic", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/medic.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/medic.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Pilot", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/pilot.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/pilot.png"),
                            ModAPI.LoadTexture("npcs/us/pilot2.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Tanker", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/tanker.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/tanker1.png"),
                            ModAPI.LoadTexture("npcs/us/tanker2.png"),
                            ModAPI.LoadTexture("npcs/us/tanker3.png")
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Paratrooper", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/para.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/para.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Officer", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/officer.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/us/officer.png"),
                        };
                    }
                }
            );


            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US M1 Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/helmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/helmet.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/helmet.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US M1 Paratrooper Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/parahelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/para.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/para.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Pilot Hood", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/pilothood.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/pilot.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/pilot.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US M1 Medic Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/medichelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/medic.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/medic.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US M38 Tanker Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/tankercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/tanker.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/tanker.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> Parachute Bag", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/misc/parabag.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("items/parabag.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("items/parabag.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> US Officer Cap", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/officercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/us/officer.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/us/officer.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "<color=#38b527>[MilMod]</color> US M1 Garand",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/garand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/us/garand.png", 2.5f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.79f, 0.18f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("sfx/garand.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9.9x19mm");
                        customCartridge.name = "Garand";
                        customCartridge.Damage = 10f;
                        customCartridge.Recoil = 0.1f;
                        customCartridge.ImpactForce = 0.2f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );
            ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "<color=#38b527>[MilMod]</color> US Colt M1911",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/1911.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/us/m1911.png", 5f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2f, 0.086f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("sfx/1911.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9.9x19mm");
                        customCartridge.name = "1911";
                        customCartridge.Damage = 4f;
                        customCartridge.Recoil = 0.1f;
                        customCartridge.ImpactForce = 0.2f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );
            ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "<color=#38b527>[MilMod]</color> US M1905 Bayonet",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/us/m1905.png"),
                    AfterSpawn = (Instance) =>
				    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/us/m1905.png", 3f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "<color=#38b527>[MilMod]</color> German Luger P08",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/luger.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/german/luger.png", 5f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2f, 0.086f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("sfx/luger.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9.9x19mm");
                        customCartridge.name = "luger";
                        customCartridge.Damage = 3.4f;
                        customCartridge.Recoil = 0.1f;
                        customCartridge.ImpactForce = 0.2f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );
            
        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Soldier", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/soldier.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/soldier1.png"),
                            ModAPI.LoadTexture("npcs/german/soldier2.png"),
                            ModAPI.LoadTexture("npcs/german/soldier3.png")
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Pilot", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/pilot.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/pilot.png"),
                            ModAPI.LoadTexture("npcs/german/pilot2.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Medic", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/medic.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/medic.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Tanker", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/tanker.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/tanker1.png"),
                            ModAPI.LoadTexture("npcs/german/tanker2.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Paratrooper", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/para.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/para.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Officer", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/officer.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 6;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/german/officer.png"),
                        };
                    }
                }
            );


            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German M35 Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/helmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/helmet.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/helmet.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Pilot Hood", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/pilothood.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/pilot.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/pilot.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Paratrooper Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/parahelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/para.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/para.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German Officer Cap", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/officercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/officer.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/officer.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German M35 Medic Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/medichelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/medic.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/medic.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> German M43 Tanker Cap", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/german/tankercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/german/tanker.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/german/tanker.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Soldier", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/soldier.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/soldier1.png"),
                            ModAPI.LoadTexture("npcs/british/soldier2.png"),
                            ModAPI.LoadTexture("npcs/british/soldier3.png")
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Paratrooper", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/para.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/para.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Officer", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/officer.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/officer.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Medic", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/medic.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/medic.png")
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Pilot", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/pilot.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/pilot.png"),
                            ModAPI.LoadTexture("npcs/british/pilot2.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Tanker", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Entities"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/tanker.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("npcs/british/tanker.png"),
                        };
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British MKII Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/helmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/helmet.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/helmet.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Officer Cap", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/officercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/officer.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/officer.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Pilot Hood", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/pilothood.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/pilot.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/pilot.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British Tanker Beret", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/tankercap.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/tanker.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/tanker.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British MKII Medic Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/medichelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/medic.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/medic.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "<color=#38b527>[MilMod]</color> British MKII Paratrooper Helmet", 
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory("Misc."), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/british/parahelmet.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet/british/para.png", 3f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("helmet/british/para.png", 3f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

        }

public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 3;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}
